<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.0</TargetFramework>
    <AssemblyName>ITUtil.Common.Utils</AssemblyName>
    <RootNamespace>ITUtil.Common.Utils</RootNamespace>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <CodeAnalysisRuleSet></CodeAnalysisRuleSet>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <CodeAnalysisRuleSet></CodeAnalysisRuleSet>
    <DocumentationFile></DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Application\**" />
    <Compile Remove="Benchmark\**" />
    <Compile Remove="Unittests\**" />
    <EmbeddedResource Remove="Application\**" />
    <EmbeddedResource Remove="Benchmark\**" />
    <EmbeddedResource Remove="Unittests\**" />
    <None Remove="Application\**" />
    <None Remove="Benchmark\**" />
    <None Remove="Unittests\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="12.0.2" />
    <PackageReference Include="RabbitMQ.Client" Version="5.1.0" />
    <PackageReference Include="System.Data.Common" Version="4.3.0" />
  </ItemGroup>

</Project>
